class ApplicationController < ActionController::Base
  protect_from_forgery with: :null_session

  def append_info_to_payload(payload)
    super

    payload[:referer] = request.referer
    payload[:user_agent] = request.user_agent
    payload[:remote_ip] = request.remote_ip
    payload[:big_session_id] = Thread.current.fetch('big_session_id', nil)
  end
end
